=== debian/changelog ===
ros-indigo-bwi-planning-common (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.11-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.10-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.9-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.8-0trusty) trusty; urgency=high

  * fixed permissions of the logical_marker script.
  * merged with yuqian's branch.
  * made more progress in migrating locations from the old map.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Sep 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.6-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 25 Aug 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 22 Aug 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.4-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 19 Aug 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.3-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.2-0trusty) trusty; urgency=high

  * removed accidental global script installation. closes #18 <https://github.com/utexas-bwi/bwi_common/issues/18>.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 16 Mar 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.3.0-0trusty) trusty; urgency=high

  * bwi_planning_common: remove run_depend on opencv2
    Also, converted the package.xml to format two.  Fixes #15 <https://github.com/utexas-bwi/bwi_common/issues/15>.
  * fix many catkin lint errors
    For remaining error, see #13 <https://github.com/utexas-bwi/bwi_common/issues/13>
  * indigo: fix opencv2 dependencies (#10 <https://github.com/utexas-bwi/bwi_common/issues/10>)
  * created a new tool for marking logical locations, and overhauled how logical information was being stored.
    added map for the atrium
  * Fixed a hack where each door needed the entire list of locations from which the door was directly accessible, instead
    of just the adjacent location.
  * Contributors: Jack O'Quin, Matteo Leonetti, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Mar 2015 05:00:00 -0000

ros-indigo-bwi-planning-common (0.2.4-0trusty) trusty; urgency=high

  * cleaned up most catkin_lint warnings. closes #6 <https://github.com/utexas-bwi/bwi_common/issues/6>
  * Added support for YAML-CPP 0.5+.  The new yaml-cpp API removes the
    "node >> outputvar;" operator, and it has a new way of loading
    documents.
  * Contributors: Piyush Khandelwal, Scott K Logan

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 29 Apr 2014 05:00:00 -0000

ros-indigo-bwi-planning-common (0.2.3-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-bwi-planning-common (0.2.2-0trusty) trusty; urgency=high

  * Install header correctly
    (#1 <https://github.com/utexas-bwi/bwi_common/issues/1>)

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 19 Apr 2014 05:00:00 -0000

ros-indigo-bwi-planning-common (0.2.1-0trusty) trusty; urgency=high

  * Initial release to Hydro.
  * Add roslaunch file checks.  This required providing default values
    for the ``map_file`` arguments.
  * Install launch files.
  * Move ``bwi_planning_common`` to ``bwi_common`` from the
    ``bwi_planning`` repository (bwi_planning#1 <https://github.com/utexas-bwi/bwi_planning/issues/1>).
  * Updating bwi_planning code for the ICAPS 2014 paper.
  * Added resolveDoor function.  Added ability to add cost samples using
    a service in the node.
  * Added planning common (formerly segbot_common).

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 18 Apr 2014 05:00:00 -0000
