=== debian/control ===
Source: ros-indigo-bwi-planning-common
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libsdl-image1.2-dev, ros-indigo-bwi-mapper, ros-indigo-bwi-tools, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/bwi_planning_common
Standards-Version: 3.9.2

Package: ros-indigo-bwi-planning-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-image1.2-dev, ros-indigo-bwi-mapper, ros-indigo-bwi-tools, ros-indigo-cv-bridge, ros-indigo-message-runtime, ros-indigo-python-qt-binding, ros-indigo-qt-gui, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-std-msgs
Description: Common data structures, messages and service defintions used for deterministic planning work in the BWI project at the University of Texas at Austin
